summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2017-10-19 14:21:15 -0400
committerTim Harder <radhermit@gentoo.org>2018-02-05 20:51:58 -0500
commit1c6ccb564a48f18b9b1ca0c61ab895814f195fe9 (patch)
treebbe159fad4e07e91516899923fcd02bba35fd139
parentdev-python/fusepy: update HOMEPAGE and upstream info (diff)
downloadgentoo-1c6ccb564a48f18b9b1ca0c61ab895814f195fe9.tar.gz
gentoo-1c6ccb564a48f18b9b1ca0c61ab895814f195fe9.tar.bz2
gentoo-1c6ccb564a48f18b9b1ca0c61ab895814f195fe9.zip
dev-python/parso: initial import, required by latest version of jedi
-rw-r--r--dev-python/parso/Manifest1
-rw-r--r--dev-python/parso/metadata.xml12
-rw-r--r--dev-python/parso/parso-0.1.1.ebuild35
3 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/parso/Manifest b/dev-python/parso/Manifest
new file mode 100644
index 00000000000..653c0365695
--- /dev/null
+++ b/dev-python/parso/Manifest
@@ -0,0 +1 @@
+DIST parso-0.1.1.tar.gz 376876 BLAKE2B ad0b9492273d23da1f4133a2f1e6edd2fa7f2213dbe12868f891863e9286fa0281de7fc6c6924b78a5820f94867971bbc09f18b3d0f2e4832c9c875850205254 SHA512 1199651136af1c9f0801a031a197e367f7fa73b5878b863103a506481e8b325e6b305e4260510a567dccf91f298fd7e9e5674f4dc410765ae1f9112f742aa6a0
diff --git a/dev-python/parso/metadata.xml b/dev-python/parso/metadata.xml
new file mode 100644
index 00000000000..0d25fbf1ae0
--- /dev/null
+++ b/dev-python/parso/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">parso</remote-id>
+ <remote-id type="github">davidhalter/parso</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/parso/parso-0.1.1.ebuild b/dev-python/parso/parso-0.1.1.ebuild
new file mode 100644
index 00000000000..99e6a66edd9
--- /dev/null
+++ b/dev-python/parso/parso-0.1.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="a python parser that supports error recovery and round-trip parsing"
+HOMEPAGE="https://github.com/davidhalter/parso https://pypi.python.org/pypi/parso"
+SRC_URI="https://github.com/davidhalter/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ py.test -v test || die "tests failed with ${EPYTHON}"
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_install_all() {
+ use doc && HTML_DOCS=( "${S}"/docs/_build/html/. )
+ distutils-r1_python_install_all
+}